package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 培养方案培养目标
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@TableName("obe_culture_program_target")
@ApiModel(value = "ObeCultureProgramTarget对象", description = "培养方案培养目标")
public class ObeCultureProgramTarget extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "培养方案ID")
    @NotNull(message = "培养方案ID不能为空")
    private Long cultureProgramId;

    @ApiModelProperty(value = "培养目标名称")
    @NotBlank(message = "培养目标名称不能为空")
    private String name;

    @ApiModelProperty(value = "目标拆解详情")
    @NotBlank(message = "目标拆解详情不能为空")
    private String detail;

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    @Override
    public String toString() {
        return "ObeCultureProgramTarget{" +
                ", cultureProgramId=" + cultureProgramId +
                ", name=" + name +
                ", detail=" + detail +
                "}";
    }
}
